Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Development

Notices

Reply
 
Thread Tools Search this Thread
Old 10-18-2018, 12:20 PM   #1
xiatian
Junior Member
xiatian began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Oct 2018
Device: kindle
Failed to build extension pictureflow

Hi,
I'm trying to build calibre for several times but I got an error:
Quote:
Error while executing: sip -w -c /root/calibre/build/pyqt/pictureflow -b /root/calibre/build/pyqt/pictureflow/pictureflow.sip.sbf -I/usr/local/lib/python3.5/dist-packages -x VendorID -t WS_X11 -t Qt_5_7_1 -x Py_v3 /root/calibre/src/calibre/gui2/pictureflow/pictureflow.sip
I have no idea how to handle this error. The full output is as the following:
Quote:
Already up-to-date.

*
* Running build
*


####### Building extension hunspell #######

####### Building extension monotonic #######

####### Building extension unicode_names #######

####### Building extension speedup #######

####### Building extension zlib2 #######

####### Building extension certgen #######

####### Building extension html #######

####### Building extension tokenizer #######

####### Building extension _patiencediff_c #######

####### Building extension icu #######

####### Building extension matcher #######

####### Building extension sqlite_custom #######

####### Building extension chmlib #######

####### Building extension chm_extra #######

####### Building extension lzx #######

####### Building extension freetype #######

####### Building extension msdes #######

####### Building extension cPalmdoc #######

####### Building extension bzzdec #######

####### Building extension podofo #######

####### Building extension pictureflow #######
sip -w -c /root/calibre/build/pyqt/pictureflow -b /root/calibre/build/pyqt/pictureflow/pictureflow.sip.sbf -I/usr/local/lib/python3.5/dist-packages -x VendorID -t WS_X11 -t Qt_5_7_1 -x Py_v3 /root/calibre/src/calibre/gui2/pictureflow/pictureflow.sip
Error while executing: sip -w -c /root/calibre/build/pyqt/pictureflow -b /root/calibre/build/pyqt/pictureflow/pictureflow.sip.sbf -I/usr/local/lib/python3.5/dist-packages -x VendorID -t WS_X11 -t Qt_5_7_1 -x Py_v3 /root/calibre/src/calibre/gui2/pictureflow/pictureflow.sip

Traceback (most recent call last):
File "setup.py", line 121, in <module>
sys.exit(main())
File "setup.py", line 106, in main
command.run_all(opts)
File "/root/calibre/setup/__init__.py", line 242, in run_all
self.run_cmd(self, opts)
File "/root/calibre/setup/__init__.py", line 234, in run_cmd
self.run_cmd(scmd, opts)
File "/root/calibre/setup/__init__.py", line 238, in run_cmd
cmd.run(opts)
File "/root/calibre/setup/build.py", line 278, in run
self.build(ext, dest)
File "/root/calibre/setup/build.py", line 301, in build
return self.build_pyqt_extension(ext, dest)
File "/root/calibre/setup/build.py", line 460, in build_pyqt_extension
sip = self.build_sip_files(ext, src_dir)
File "/root/calibre/setup/build.py", line 441, in build_sip_files
self.check_call(cmd)
File "/root/calibre/setup/build.py", line 352, in check_call
subprocess.check_call(*args, **kwargs)
File "/usr/lib/python2.7/subprocess.py", line 181, in check_call
retcode = call(*popenargs, **kwargs)
File "/usr/lib/python2.7/subprocess.py", line 168, in call
return Popen(*popenargs, **kwargs).wait()
File "/usr/lib/python2.7/subprocess.py", line 390, in __init__
errread, errwrite)
File "/usr/lib/python2.7/subprocess.py", line 1024, in _execute_child
raise child_exception
OSError: [Errno 2] No such file or directory
I really hope someone can help me! Thank you guys!
xiatian is offline   Reply With Quote
Old 10-18-2018, 12:43 PM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 19,180
Karma: 99356142
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Looks like you're trying to mix and match Python 3.x and Python 2.x to me. calibre uses the latter.
DiapDealer is online now   Reply With Quote
Advert
Old 10-18-2018, 01:51 PM   #3
xiatian
Junior Member
xiatian began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Oct 2018
Device: kindle
Quote:
Originally Posted by DiapDealer View Post
Looks like you're trying to mix and match Python 3.x and Python 2.x to me. calibre uses the latter.
I installed sip with python3. Is this the problem?
xiatian is offline   Reply With Quote
Old 10-18-2018, 02:10 PM   #4
xiatian
Junior Member
xiatian began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Oct 2018
Device: kindle
Nevermind, I managed to use CALIBRE_DEVELOP_FROM variable to work around problems of building from source. Thank you, anyway!
xiatian is offline   Reply With Quote
Old 10-18-2018, 07:19 PM   #5
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 19,180
Karma: 99356142
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
That's the easiest way by far.
DiapDealer is online now   Reply With Quote
Advert
Reply

Tags
building, developement, source code

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
TimedLock extension peterson Kindle Developer's Corner 2 12-22-2015 04:14 PM
Failed feed: Tips_<urlopen error [Errno 11004] getaddrinfo failed> Danesh Recipes 4 03-19-2015 04:45 AM
AZW3 Extension fcm52 Amazon Kindle 6 09-29-2013 07:47 PM
RAR extension postrof General Discussions 4 01-16-2011 11:08 PM
Pictureflow Error: Wrong Elf class on Ubuntu 8.04 AMD_64 artcoffeewords Calibre 6 07-15-2008 04:03 PM


All times are GMT -4. The time now is 10:41 AM.


MobileRead.com is a privately owned, operated and funded community.